package com.muyu.marketing.domain.model;

import com.muyu.common.core.web.model.QueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {

    /**
     * 搜索关键词
     */
    private String keyWord;

    /**
     * 活动转态
     */
    private String status;


}
