package com.muyu.marketing.domain.req;


import com.muyu.common.core.web.page.PageDomain;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import lombok.*;

import java.io.Serializable;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TeamInfoReqListReq extends PageDomain {

    /**
     * 搜索关键词
     */
    private String keyWord;

    /**
     * 活动转态
     */
    private String status;


    public ActivityTeamInfoListQueryModel buildQueryModel() {
        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build()
                .domainBuild(this);
    }
//    public  ActivityTeamInfoListQueryModel activityTeamInfoListModel (){
//        ActivityTeamInfoListQueryModel build = ActivityTeamInfoListQueryModel.builder()
//                .keyWord(this.keyWord)
//                .status(this.status)
//                .build();
//        build.domainBuild(this);
//        return ActivityTeamInfoListQueryModel.builder()
//                .keyWord(this.keyWord)
//                .status(this.status)
//                .build()
//                .domainBuild(this);
//
//    }

}
