package com.muyu.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.resp.TeamInfoListResp;

import java.util.List;

public interface TeamInfoService extends IService<TeamInfoListResp> {

    /**
     * 商品拼团信息列表
     * @param activityTeamInfo
     * @return
     */
   Result<List<TeamInfoListResp>> list(TeamInfoListResp activityTeamInfo);

    Result add(TeamInfoListResp activityTeamInfo);

    Result selectById(Integer id);

}
