package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UpdAttributeInfo {

    /** 属性编号 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "属性编号", value = "属性编号")
    private Long id;

    /** 属性名 */
    @Excel(name = "属性名")
    @ApiModelProperty(name = "属性名", value = "属性名", required = true)
    private String name;
}
