package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleAttrInfo;

import com.muyu.product.domain.resp.RuleInfoResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 规格详情Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface RuleAttrInfoMapper extends BaseMapper<RuleAttrInfo> {

    RuleInfoResp getRuleById(Long id);

    void del(Long id);

    void add(@Param("id") Long id, @Param("name") String name, @Param("attrValue") String attrValue);

    void updateStatus(@Param("status") String status, @Param("id") Long id);

    Integer selectByAttributeGroupCount(Long id);


}
