package com.muyu.common.core.enums.market.team;

import lombok.Data;


public enum TeamOpenTypeEnum {
    OPEN_TEAM("open_team","开团"),

    IN_TEAM("in_team","参团");

    private final String code;
    private final String label;


    TeamOpenTypeEnum(String code, String label) {
        this.code = code;
        this.label = label;
    }

    public String Code() {
        return code;
    }

    public String Label() {
        return label;
    }
}
