package com.muyu.marketing.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "activity_team_product_sku_info")
public class RuleInfo {


    /**
     * 主键
     */


    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;
    /**
     *规格Sku
     */
    private String sku;
    /**
     *拼团库存
     */
    private Long stock;
    /**
     * 拼团价格
     */
    private BigDecimal price;

}
