package com.muyu.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.marketing.domain.ActivityTeamOpenInfo;

public interface ActivityOpenInfoService extends IService<ActivityTeamOpenInfo> {
    /**
     * 查询开团数量
     * @param teamId
     * @return
     */
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId);
    /**
     * 查询参团数量
     * @param teamId
     * @return
     */
    public Long getTeamInNumberByTeamIdAndType(Long teamId);
}
