package com.muyu.marketing.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.marketing.domain.req.ActivityTeamInfoSaveReq;

import java.util.List;

public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {

    /**
     * 拼团活动列表
     * @param activityTeamInfoListQueryModel
     * @return
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);

    /**
     * 拼团活动添加
     * @param teamInfoSaveReq
     * @return
     */
    Result add(ActivityTeamInfoSaveReq teamInfoSaveReq);

}
