package com.muyu.product.domain.req;

import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.UpdAttributeInfo;
import com.muyu.product.domain.model.ProjectAddModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 商品信息对象 project_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProjectInfoEditReq", description = "商品信息")
public class  ProjectInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private ProjectAddModel projectAddModel;
    private List<UpdAttributeInfo> attrValueList;
    private List<ProjectSkuInfo> productSkuList;


}
