package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.GroupOrder;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 拼团订单Service接口
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
public interface GroupOrderService extends IService<GroupOrder> {
    /**
     * 查询拼团订单列表
     *
     * @param groupOrder 拼团订单
     * @return 拼团订单集合
     */
    public List<GroupOrder> list(GroupOrder groupOrder);

}
